// \POV-Ray\v3.6\include\macros\sky_interior_v2.inc
// files to use sky_sphere and/or big sphere
// Creation of cool effects - see 0013_hex.bmp //
// It's good to work with pigment's object with filter and transmit
// and some media.
//
//#declare Use_Sky = 0/1;
// Activate-desactivate sky_sphere
//#declare Use_Box = 0/1;
//#declare UseSphere = 0/1;
//#declare RadSphere = Radius of Big Sphere;
//#declare SpherePigment = texture {}
//#declare Sphere_Ior = 1.161;
//#declare BoxPigment = texture {}
//#declare SkyPigment = pigment {}
//#declare SkyPigment2 = pigment {}
//#declare BoxIor = 1.61;
//#declare BOXSIZE = Size of a Big Box;
// box { <-BOXSIZE,-BOXSIZE,-BOXSIZE>, <BOXSIZE,BOXSIZE,BOXSIZE>}
//#declare BoxRotate = <5,0,0>;

// Usage: declare variables in your scene file and include sky_interior_v2.inc //


#ifndef (Use_Sky)
	#declare Use_Sky = 1;
#end

#ifndef (Sphere_Ior)
	#declare Sphere_Ior = 1.161;
#end


#ifndef (SkyPigment)
	#declare SkyPigment = pigment {
		spiral2 0.25
		rotate x*52
		scale 5
		color_map {
			[ 0.1  color rgb <0.0, 0.0, 0.0>]
			[ 0.5  color rgb <1.0, 1.0, 1.0>]
			[ 0.7  color rgb <0.0, 0.0, 0.0> filter 0.5]
			[ 1.0  color rgbf <0.8, 0.8, 0.8, 1.0> ]
		}
	}
#end

#ifndef (UseSphere)
	#declare UseSphere = 0;
#end

#ifndef (RadSphere)
	#declare RadSphere = 2500;
#end


#ifndef (SpherePigment)
	#declare SpherePigment = texture {
		pigment {
			bozo
			scale 100
			color_map {
				[ 0.0
					color rgb <0.1,0.1,0.1>
					transmit 0.41
					filter 0.5
				]
				[ 0.4
					color rgb <0.8,0.8,0.8>
					filter 0.4
					transmit 0.48
				]
				[ 1.0
					color rgb <1,1,1>
					filter 0.5
				]
			}
		}
		finish {
			ambient 0.7
			diffuse 0
		}
	}
#end

#ifndef (BoxPigment)
	#declare BoxPigment = texture {
		pigment {
			bozo
			scale 250
			color_map {
				[ 0.0 color rgb <1.1,0.1,0.2> transmit
				0.41 filter 0.65]
				[ 0.4 color rgb <1.8,0.8,0.9> filter 0.4
				transmit 0.548]
				[ 1.0 color rgb <1,1,1> filter 0.65
				transmit 1]
			}
		}
		finish {
			ambient 0.7
			diffuse 0
		}
	}
#end

#ifndef (BoxIor)
	#declare BoxIor = 1.61;
#end

#ifndef (Use_Box)
	#declare Use_Box = 0;
#end

#ifndef (BOXSIZE)
	#declare BOXSIZE = 2000;
#end

#ifndef (BoxRotate)
	#declare BoxRotate = <5,0,0>;
#end


#ifndef (Use_Sky)
	#declare Use_Sky = 1;
#end

#ifndef (Sphere_Ior)
	#declare Sphere_Ior = 1.161;
#end



#if (Use_Sky=1)
	sky_sphere {
		pigment {SkyPigment	}
		#ifdef (SkyPigment2)
			pigment {SkyPigment2}
		#end
	}
#end
#if (UseSphere=1)
	sphere {
		0, RadSphere
		hollow
		texture {SpherePigment}
		interior {ior Sphere_Ior}
	}
#end

#if (Use_Box=1)
	box {
		<-BOXSIZE,-BOXSIZE,-BOXSIZE>, <BOXSIZE,BOXSIZE,BOXSIZE>
		hollow
		texture {BoxPigment}
		interior {ior BoxIor}
		rotate BoxRotate
	}
#end



